package model

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	domain "git.loafle.net/overflow/commons-go/domain/model"
	meta "git.loafle.net/overflow/commons-go/meta/model"
	probe "git.loafle.net/overflow/commons-go/probe/model"
)

type NoAuthProbe struct {
	ID           json.Number                 `json:"id,Number,omitempty"`
	Description  string                      `json:"description,omitempty"`
	Status       *meta.MetaNoAuthProbeStatus `json:"status,omitempty"`
	TempProbeKey string                      `json:"tempProbeKey,omitempty"`
	CreateDate   util.Timestamp              `json:"createDate,omitempty"`
	APIKey       string                      `json:"apiKey,omitempty"`
	Domain       *domain.DomainMember        `json:"domain,omitempty"`
	Probe        *probe.Probe                `json:"probe,omitempty"`
}
